import { Document, Field, FieldType, Nullable } from '../common';
export type TermsQueryOptions = {
    boost?: number;
};
export type TermsQueryBody<TDocument extends Document, TKeyword extends Field<TDocument> = Field<TDocument>> = {
    [x in TKeyword]?: Array<FieldType<TDocument, TKeyword>>;
};
export type TermsQuery<TDocument extends Document, TKeyword extends Field<TDocument> = Field<TDocument>> = {
    terms: TermsQueryBody<TDocument, TKeyword>;
};
export interface TermsQuerySignatures {
    <TDocument extends Document, TField extends Field<TDocument> = Field<TDocument>>(field: TField, value: Array<FieldType<TDocument, TField>>, options?: TermsQueryOptions): TermsQuery<TDocument, TField>;
    <TDocument extends Document, TField extends Field<TDocument> = Field<TDocument>>(field: TField, value: Nullable<Array<FieldType<TDocument, TField>>>, options?: TermsQueryOptions): Nullable<TermsQuery<TDocument, TField>>;
}
export declare const getTermsQuery: TermsQuerySignatures;
